Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nortel.soa.oi.opennetworking
Class OpenNetworkingImpl

    java.lang.Object
      com.nortel.soa.oi.opennetworking.OpenNetworkingImpl

All Implemented Interfaces:
  OpenNetworking

    public class OpenNetworkingImpl

extends java.lang.Object
implements OpenNetworking

Author:
  JDWYER

  Overview: Open Networking allows the existing Universal Networking (UNE) functionality currently used by the
  CCMS and CCT Services to be used by Third Party applications via a Web Service
  Open Networking will enable a Third party application to perform the transfer or conference of a call
  between different nodes in a network with only the target node requiring the CCMS components.
  Open Networking enables any data or `Intrinsic` associated with the call to be available on the
  target node once the call is transfered to or completed the conferencing of the target server.
  The Open Networking Web Service will provider the interface for the Third Party application to reserve
  a `LandingPad` on the target node, reserving the Landing Pad is how the data and Intrinsic
  associated with the call to still be associated with the call on the target server.
  OpenNetworking also provides the functionality to cancel the reserving of a Landing Pad, freeing the
  Landing Pad up for others transfer or conference network calls.

  Prerequisites to usage: This represents the minimal data artifacts required to successfully invoke this web service.

  - A valid `SsoToken` (Represents a valid user session)

  Operations:
  View WSDL
  Reserving a Landing Pad
  Using OpenNetworking Web Service a Third Party application will be able to complete the network transfer
  or conference of a call with attached data and intrinsics without the need for the CMF component on the
  source side, the target node still requires both the CMF and UNE components.

  1. The Third Party application will invoke the Web Service to access the CMF interface on the target side.
  2. The Web Service will use the CMF interface to request a Landing Pad locally.
  3. This request will trigger the listener being used by the UNE component in the target server.
  4. UNE will act on the request as normal using CMF to create a logical contact to store the call’s data and
     return the reserved Landing Pad’s Address to CMF.
  5. CMF will then return the Landing Pad address to the Third party via the Web Service.
  6. The Third Party will use the returned address to send the call to the target node as normal.
  7. Call will get processed on the target side as normal.
  For this process to work the Third party must know the location of the target node that it wishes to transfer
  the call to, the Third Party will need to process the destination address appropriately and will also need to
  manipulate the returned address so the call can be routed correctly.
  Canceling a Landing Pad
  Using OpenNetworking Web Service a Third Party application will be able to complete the network transfer of a
  contact with attached data without the need for the CMF component on the source side; the target node still requires
  both the CMF and UNE components.
  1. The Third Party application will invoke the Web Service to access the CMF interface on the target side.
  2. The Web Service will use the CMF interface to request that a Landing Pad is unreserved locally.
  3. This request will trigger the listener being used by the local UNE component.
  4. UNE will act on the request as normal using CMF to unreserve the Landing Pad and remove any contacts
     associated with the Landing Pad while it was being, making the Landing pad available for other network calls.
  For this process to work the Third Party application must know the location of the target node at which it
  wishes to unreserve the Landing Pad

Constructor Summary
`OpenNetworkingImpl()`

Method Summary
`CancelLandingPadResponseType` | `cancelCDNLandingPad(CancelCDNLandingPadRequestType parameters)`
`java.lang.String` | `getVersion()`
`GetVersionResponse` | `getVersion(GetVersionRequest parameters)`
`ReserveLandingPadResponseType` | `reserveCDNLandingPad(ReserveCDNLandingPadRequestType parameters)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OpenNetworkingImpl

    public OpenNetworkingImpl()

Method Detail

### getVersion

    public GetVersionResponse getVersion(GetVersionRequest parameters)
                                  throws GetVersionFault

  Specified by:
    `getVersion` in interface `OpenNetworking`
  Throws:
    `GetVersionFault`

### getVersion

    public java.lang.String getVersion()
                                throws GetVersionFault

  Throws:
    `GetVersionFault`

### cancelCDNLandingPad

    public CancelLandingPadResponseType cancelCDNLandingPad(CancelCDNLandingPadRequestType parameters)
                                                     throws LandingPadCancellationFault

  Specified by:
    `cancelCDNLandingPad` in interface `OpenNetworking`
  Throws:
    `LandingPadCancellationFault`

### reserveCDNLandingPad

    public ReserveLandingPadResponseType reserveCDNLandingPad(ReserveCDNLandingPadRequestType parameters)
                                                       throws LandingPadReservationFault

  Specified by:
    `reserveCDNLandingPad` in interface `OpenNetworking`
  Throws:
    `LandingPadReservationFault`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 All Rights Reserved.